<?php

// app/Models/Consumable.php
namespace App\Models;

use Carbon\Carbon;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Consumable extends Model
{
    use HasFactory;

    protected $fillable = [
        'name',
        'quantity',
        'unit',
        'date',
        'amount_spent',
        'notes',
    ];
    protected $dates = ['date'];
}
