<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Loan extends Model
{
    use HasFactory;

    protected $fillable = [
        'employee_id',
        'loan_amount',
        'repayment_amount',
    ];

    public function employee()
    {
        return $this->belongsTo(Employee::class);
    }
}
