<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class StockInOut extends Model
{
    use HasFactory;
    protected $table = 'stock_in_out';
    protected $fillable = ['inventory_id', 'quantity', 'type', 'notes', 'date'];

    public function inventory()
    {
        return $this->belongsTo(Inventory::class);
    }
}
