

<?php $__env->startSection('content'); ?>
    <div class="bg-gray-100 min-h-screen flex items-center justify-center">
        <div class="bg-white shadow-lg rounded-lg overflow-hidden max-w-lg w-full">
            <div class="p-4">
                <h1 class="text-2xl font-bold text-center mb-4">Monthly VAT Report</h1>

                <div class="mb-4">
                    <p class="text-sm text-gray-700"><strong>Company Name:</strong> San Roque Hermanas Inc.</p>
                    <p class="text-sm text-gray-700"><strong>TIN:</strong> 006-040-261</p>
                    <p class="text-sm text-gray-700"><strong>Month:</strong> </p>
                </div>

                <div class="mb-4">
                    <p class="text-sm text-gray-700"><strong>Total Rental Income:</strong> PHP
                        <?php echo e(number_format($totalRentalIncome, 2)); ?></p>
                    <p class="text-sm text-gray-700"><strong>Output VAT:</strong> PHP <?php echo e(number_format($outputVAT, 2)); ?></p>
                    <p class="text-sm text-gray-700"><strong>Input VAT:</strong> PHP <?php echo e(number_format($inputVAT, 2)); ?></p>
                </div>

                <div class="bg-gray-200 p-3 rounded-lg">
                    <p class="text-base"><strong>Net VAT Payable:</strong> PHP <?php echo e(number_format($netVATPayable, 2)); ?></p>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\new websites-2024\Anthony project\project_management\resources\views/CMS/BIR/monthly_vat_report.blade.php ENDPATH**/ ?>