<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class AdditionalFee extends Model
{
    use HasFactory;

    protected $table = 'additionalfees';

    protected $fillable = [
        'billing_id',
        'charge_type',
        'amount',
        'amount_paid',
        'notes',
        'date_of_payable'
    ];

    public function payment()
    {
        return $this->belongsTo(Payment::class, 'billing_id');
    }
}
