<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BillingStatement extends Model
{
    use HasFactory;

    protected $primaryKey = 'billingstatement_id';
    protected $table = 'billingstatements';
    protected $fillable = [
        'lease_id',
        'billing_date',
        'due_date',
        'start_date',
        'end_date',
    ];

    public function lease()
    {
        return $this->belongsTo(Lease::class, 'lease_id');
    }
}
