<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Client extends Model
{
    use HasFactory;
    protected $primaryKey = 'client_id';
    protected $fillable = [

        'business_name',
        'business_type',
        'business_type',
        'home_address',
        'owners_name',
        'id_type',
        'id_no',
        'contact_no',
        'phone_no',
        'vat',
        'w_holding_tax',
        'email',
    ];
    public function user()
    {
        return $this->belongsTo(User::class);
    }
    public function lease()
    {
        return $this->hasMany(Lease::class, 'client_id', 'client_id');
    }
}
