<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Inventory extends Model
{
    use HasFactory;
    protected $table = 'inventory';
    protected $fillable = ['category', 'item_name', 'quantity', 'unit'];

    public function stockInOuts()
    {
        return $this->hasMany(StockInOut::class);
    }
}
