<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class NewPayment extends Model
{
    use HasFactory;

    protected $table = 'newpayment';
    protected $primaryKey = 'newpayment_id';
    protected $fillable = ['payment_id', 'payment_method', 'bank', 'rental_amount', 'waterbill_amount', 'electricbill_amount', 'status', 'remarks', 'check_no', 'advance_payment'];

    public function payment()
    {
        return $this->belongsTo(Payment::class, 'payment_id');
    }
}
