<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Property extends Model
{
    use HasFactory;
    protected $fillable = [
        'property_name',
        'street_address',
        'city',
        'state',
        'zip',
        'latitude',
        'longitude',

    ];
    public function units()
    {
        return $this->hasMany(Unit::class);
    }
    public function miscellaneousFees()
    {
        return $this->hasMany(MiscellaneousFee::class, 'property_id');
    }
}
