<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('billingstatements', function (Blueprint $table) {
            $table->id('billingstatement_id');
            $table->unsignedBigInteger('lease_id');
            $table->foreign('lease_id')->references('lease_id')->on('lease')->onDelete('cascade');
            $table->date('billing_date');
            $table->date('due_date');
            $table->date('start_date')->nullable();
            $table->date('end_date')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
};
